package org.ourfilesystem.db;

/*
OurFileSystem is a peer2peer file sharing program.
Copyright (C) 2012  Robert Gass

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/

import java.util.Date;

public class LocalFileReference {
	
	private FileReference FileReference;
	
	private Date LocalDate;

	public FileReference getFileReference() {
		return FileReference;
	}

	public void setFileReference(FileReference fileReference) {
		FileReference = fileReference;
	}

	public Date getLocalDate() {
		return LocalDate;
	}

	public void setLocalDate(Date localDate) {
		LocalDate = localDate;
	}
	
	public int hashCode() {
		if (FileReference != null) {
			return FileReference.hashCode();
		}
		return 0;
	}
	
	public boolean equals(Object o) {
		if (FileReference != null) {
			if (o instanceof LocalFileReference) {
				LocalFileReference of = (LocalFileReference)o;
				return FileReference.equals(of.getFileReference());
			}
		}
		return this == o;
	}

}
